Resume dashboard companion after approval
POST
/v1/companion/resumeAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsondecisionCompanionResumeDecisionrequiredShow propertiesHide properties
approvedbooleanrequireddisapprove_reasonstringedited_argumentsobjectinterrupt_idstringrequiredrun_idstringrequiredResponses
200OK
interrupt_idstringmessagestringrequiredmodelstringrequirednext_toolstringpartsCompanionPart[] | nullrequiredShow propertiesHide properties
Array of
CompanionPartargsobjectresultanytextstringtool_call_idstringtool_namestringtypestringrequiredplan_cursorinteger<int64>plan_donebooleanplan_idstringplan_next_stepobjectproviderstringrequiredrequires_actionCompanionRequiresActionShow propertiesHide properties
argumentsobjectinterrupt_idstringraw_requestobjecttool_namestringtypestringrun_idstringstatusstring400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/companion/resume" \
-H "Content-Type: application/json" \
-d '{
"decision": {
"approved": true,
"disapprove_reason": "string",
"edited_arguments": {}
},
"interrupt_id": "string",
"run_id": "string"
}'const response = await fetch("/v1/companion/resume", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"decision": {
"approved": true,
"disapprove_reason": "string",
"edited_arguments": {}
},
"interrupt_id": "string",
"run_id": "string"
})
});import requests
response = requests.post(
"/v1/companion/resume",
headers={
"Content-Type": "application/json"
},
json={
"decision": {
"approved": True,
"disapprove_reason": "string",
"edited_arguments": {}
},
"interrupt_id": "string",
"run_id": "string"
},
)Response
{
"interrupt_id": "string",
"message": "string",
"model": "string",
"next_tool": "string",
"parts": [
{
"args": {},
"result": "string",
"text": "string",
"tool_call_id": "string",
"tool_name": "string",
"type": "string"
}
],
"plan_cursor": 0,
"plan_done": true,
"plan_id": "string",
"plan_next_step": {},
"provider": "string",
"requires_action": {
"arguments": {},
"interrupt_id": "string",
"raw_request": {},
"tool_name": "string",
"type": "string"
},
"run_id": "string",
"status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}